E-MailRelay

Classes | Namespaces
gfilterfactory.h File Reference
`#include "gdef.h"`
`#include "gfilter.h"`
`#include "gfilestore.h"`
`#include "gfactoryparser.h"`
`#include "gexceptionsink.h"`
`#include <string>`
`#include <utility>`

Go to the source code of this file.

## Classes
class | GSmtp::FilterFactory
| A factory interface for GSmtp::Filter message processors. More...
class | GSmtp::FilterFactoryFileStore
| A filter factory that holds a GSmtp::FileStore reference so that it can instantiate filters that operate on message files. More...

## Namespaces
namespace | GSmtp
| SMTP and message-store classes.